<?php
/**
 * @package   FL Business Hours Element for Zoo
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$uniqid = uniqid('flbusinesshours-');

$activeName 		= $this->getControlName('isActive');
$startTimeName 		= $this->getControlName('timeFrom');
$endTimeName 		= $this->getControlName('timeTill');
$defaultTimeFrom 	= $this->config->get('default_time_from', '09:00');
$defaultTimeTill 	= $this->config->get('default_time_till', '18:00');
$pickerFormat		= $this->config->get('timepicker_format', 'HH:i');
$pickerInterval		= $this->config->get('timepicker_interval', '30');

?>

<div id="<?php echo $uniqid; ?>" class="<?php echo $this->identifier; ?>">
	<div class="flbusinesshours-container"></div>
</div>

<script>
	jQuery("#<?php echo $uniqid; ?> .flbusinesshours-container").businessHours({
		weekdays: ['ПН', 'ВТ', 'СР', 'ЧТ', 'ПТ', 'СБ', 'ВС'],
		defaultOperationTimeFrom: '<?php echo $defaultTimeFrom; ?>',
        defaultOperationTimeTill: '<?php echo $defaultTimeTill; ?>',
		dayTmpl: '<div class="dayContainer">' +
            '<div class="weekday colorBox"><input type="checkbox" class="invisible operationState"/><input name="<?php echo $activeName; ?>" type="text" value="" class="isActive"></div>' +
            '<div class="operationDayTimeContainer">' +
            '<div class="operationTime"><input type="text" name="<?php echo $startTimeName; ?>" class="startTime mini-time operationTimeFrom" value=""/></div>' +
            '<div class="operationTime"><input type="text" name="<?php echo $endTimeName; ?>" class="endTime mini-time operationTimeTill" value=""/></div>' +
            '</div></div>',
		postInit: function() {
			jQuery('#<?php echo $uniqid; ?> .operationTimeFrom, #<?php echo $uniqid; ?> .operationTimeTill').pickatime({
				format: '<?php echo $pickerFormat; ?>',
				interval: <?php echo $pickerInterval; ?>,
				clear: ''
			});
		},

		<?php if (!empty($operationTime)) { ?>
			operationTime: <?php echo json_encode($operationTime); ?>,
		<?php }; ?>
	});
</script>